## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

# Pull from GitHub (prerquisite for Packit)
%global forgeurl https://github.com/willu47/amply

%global _description %{expand:
Amply allows you to load and manipulate AMPL data as Python data
structures.

Amply only supports a specific subset of the AMPL syntax:

> set declarations
> set data statements
> parameter declarations
> parameter data statements}

Name:           python-amply
Version:        0.1.6
Release:        %autorelease
Summary:        A Python package for AMPL/GMPL datafile parsing
%forgemeta
License:        EPL-1.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description %_description

%package -n python3-amply
Summary:        %{summary}

%description -n python3-amply %_description

%prep
%forgeautosetup

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_install
%pyproject_save_files amply

%check
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pytest

%files -n python3-amply -f %{pyproject_files}
%doc README.rst

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 06 2023 Sandro <devel@penguinpee.nl> - 0.1.6-4
- Use SETUPTOOLS_SCM_PRETEND_VERSION instead of tagging the build in %%prep

* Sun Oct 22 2023 Sandro <devel@penguinpee.nl> - 0.1.6-3
- Add Packit config
- Pull from GitHub (prerequisite for Packit)
- Use forge macros
- Set version

* Sun Oct 22 2023 Sandro <devel@penguinpee.nl> - 0.1.6-2
- Move BRs to main package and align naming

* Sun Oct 22 2023 Sandro <devel@penguinpee.nl> - 0.1.6-1
- Update to 0.1.6 (RHBZ#2216274)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.1.5-8
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.5-5
- Rebuilt for pyparsing-3.0.9

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.1.5-4
- Rebuilt for Python 3.11

* Wed May 11 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.5-1
- Remove unneeded macro

* Tue May 10 2022 Iztok Fister Jr. <iztokf AT fedoraproject DOT org> - 0.1.5-1
- Update to the latest upstream's release

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.4-2
- Rebuilt for Python 3.10

* Tue Feb 16 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 0.1.4-1
- Initial build

## END: Generated by rpmautospec
